\documentclass{article}
\usepackage{amsmath}
\begin{document}
We start with the three Hamiltonians $H_{atom}$, $H_{motion}$ and $H_{interation}$

\begin{equation}
\begin{split}
H_{atom} &= \frac{\hbar \omega_0}{2} \\
H_{motion} &= \hbar \nu a^{\dagger}a \\
H_{interaction} &= \hbar \Omega (\sigma_+ e^{-i\omega t + i k \hat{x}}+\sigma_- e^{i\omega t - i k \hat{x}}) \\
\end{split}
\end{equation}

Where $\hat{x}$ is the centre of mass motion of the molecule in the harmonic trap. It is then possible to write this in terms of the bosonic creation and annihilation operators of the trap

\begin{equation}
  \hat{x} = \sqrt{\frac{\hbar}{2 m \nu}} \left(a + a^\dagger\right)
\end{equation}

We may go one step further to define the Lamb-Dicke parameter $\eta$

\begin{equation}
  k \hat{x} = \eta \left(a + a^\dagger\right)
\end{equation}

\begin{equation}
H_{interaction} = \hbar \Omega (\sigma_+ e^{-i\omega t}e^{ i\eta \left(a + a^\dagger\right)}+\sigma_- e^{i\omega t}e^{ - i \eta \left(a + a^\dagger\right)})
\end{equation}

Using the Glauber identity
\begin{equation}
  e^{a + a^\dagger} = e^{a^\dagger} e^{a} e^{-\frac{1}{2}[a^\dagger,a]} = e^{a^\dagger} e^{a} e^{\frac{1}{2}}
\end{equation}
So 

\begin{equation}
\begin{split}
e^{i\eta(a + a^\dagger)} & = e^{i\eta a^\dagger} e^{i \eta a} e^{\frac{-\eta^2}{2}} \\
 & = e^{\frac{-\eta^2}{2}} \sum_{m,n=0}^{\infty}\frac{\left(i\eta\right)^{m+n} \left(a^\dagger\right)^m \left(a\right)^n}{m! n!}
\end{split}
\end{equation}

Clearly this is nonzero only for Fock states which differ by m-n. We can then split this into components for which m=n m=n+q and n=m+q where q is positive.

\begin{equation}
\begin{split}
\sum_{m,n=0}^{\infty}\frac{\left(i\eta\right)^{m+n} \left(a^\dagger\right)^m \left(a\right)^n}{m! n!} =& \sum_{n=0}^{\infty}\frac{\left(i\eta\right)^{2n} \left(a^\dagger\right)^n \left(a\right)^n}{(2n)!}\\ +& \sum_{n=0}^{\infty}\sum_{q=1}^{\infty}\frac{\left(i\eta\right)^{2n+q} \left(a^\dagger\right)^{n+q} \left(a\right)^n}{(n+q)! n!} +\sum_{m=0}^{\infty}\sum_{q=1}^{\infty}\frac{\left(i\eta\right)^{2m+q} \left(a^\dagger\right)^{m} \left(a\right)^{m+q}}{(m+q)! m!}
\end{split}
\end{equation}

We then define
\begin{equation}
F_q = \sum_{n=0}^{\infty}\frac{\left(i\eta\right)^{2n} \left(a^\dagger a\right)^n}{n!(n+q)!}
\end{equation}

\begin{equation}
\sum_{m,n=0}^{\infty}\frac{\left(i\eta\right)^{m+n} \left(a^\dagger\right)^m \left(a\right)^n}{m! n!} =F_0 + \sum_{q=1}^{\infty}\left(i\eta\right)^{q} \left(a^\dagger\right)^{q}F_q +\sum_{q=1}^{\infty}\left(i\eta\right)^{q} F_q \left(a\right)^{q}
\end{equation}

\begin{equation}
H_{interaction} = \hbar \Omega e^{\frac{-\eta^2}{2}} \sigma_+ e^{-i\omega t}\left(F_0 + \sum_{q=1}^{\infty}\left(i\eta\right)^{q} \left(a^\dagger\right)^{q}F_q +\sum_{q=1}^{\infty}\left(i\eta\right)^{q} F_q \left(a\right)^{q}\right) +h.c.
\end{equation}

\end{document}